httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 45515] mod_session_* won't compile under current apr-util
Date Tue, 12 Aug 2008 16:35:41 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=45515


Will Rowe <wrowe@apache.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|RESOLVED                    |REOPENED
          Component|APR                         |Other Modules
            Product|APR                         |Apache httpd-2
         Resolution|INVALID                     |
            Summary|mod_session_* from httpd    |mod_session_* won't compile
                   |2.3.0-dev doesn't compile   |under current apr-util
                   |with SSL and current (stable|
                   |and development) releases of|
                   |apr and apr-util            |
            Version|HEAD                        |2.3-HEAD




--- Comment #4 from Will Rowe <wrowe@apache.org>  2008-08-12 09:35:40 PST ---
apr-util is not responsible for adding this feature, it will be voted on for
inclusion or rejected based on many criteria, some of which it fails today.

So since this feature is not guarenteed, mod_session's authors may need to
consider refactoring to rely upon mod_ssl, and if that is not possible, back
to mod_ssl directly. 

In any case, httpd/trunk does not compile with this module enabled using any
ASF-apr released code, and therefore the bug remains, and remains at httpd.


-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message